import scrapy



class wikiSpider(scrapy.Spider):
    name = "tk_url"

    def start_requests(self):
        start_url = ["https://zh.wikipedia.org/wiki/%E4%B8%89%E5%9C%8B%E5%BF%97"]
        for url in start_url:
            yield scrapy.Request(url=url, callback=self.parse)

    def parse(self, response, **kwargs):
        # page = response.url.split("/")[-2]
        # filename = f'quotes-{page}.html'
        # with open(filename, 'wb') as f:
        #     f.write(response.body)
        # self.log(f'Saved file {filename}')

        for table in response.css(".navbox")[0].css(".navbox-subgroup"):
            for link in table.css("a"):
                if(link.css("::text").get()[0]=="卷"):continue
                yield {
                    "hero":link.css("::text").get(),
                    "url":link.css("::attr(href)").getall()
                }
