import scrapy


class countrySpider(scrapy.Spider):
    name =  "tk_cry"
    start_urls = ["https://zh.wikipedia.org/wiki/%E8%9C%80%E6%B1%89",
                  "https://zh.wikipedia.org/wiki/%E6%9B%B9%E9%AD%8F",
                  "https://zh.wikipedia.org/wiki/%E5%AD%AB%E5%90%B3"]

    def parse(self, response, **kwargs):
        result = {}
        for item in response.css(".infobox.vcard").css("tr"):
            if len(item.css("th")) == 1 and len(item.css("td")) == 1:
                name = item.css("th *::text").get()
                if name == "null" or name == "简化字" or name == "繁体字": continue
                result[name] = self.concat(item.css("td *::text").getall(), "")
        yield result

    def concat(self, list, result):
        for i in list:
            result += i
        return result